Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class DefaultOutboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultOutboundEndpoint

All Implemented Interfaces:
  Serializable, ImmutableEndpoint, OutboundEndpoint, MessageProcessor

    public class DefaultOutboundEndpoint

extends AbstractEndpoint
implements OutboundEndpoint

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Constructor Summary
`DefaultOutboundEndpoint(Connector connector, EndpointURI endpointUri, String name, Map properties, TransactionConfig transactionConfig, boolean deleteUnacceptedMessage, MessageExchangePattern messageExchangePattern, int responseTimeout, String initialState, String endpointEncoding, String endpointBuilderName, MuleContext muleContext, RetryPolicyTemplate retryPolicyTemplate, String responsePropertiesList, EndpointMessageProcessorChainFactory messageProcessorsFactory, List<MessageProcessor> messageProcessors, List<MessageProcessor> responseMessageProcessors, boolean disableTransportTransformer, String endpointMimeType)`

Method Summary
`protected MessageProcessor` | `createMessageProcessorChain()`
`List<String>` | `getResponseProperties()`
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessorChain, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, hashCode, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly`

Constructor Detail

### DefaultOutboundEndpoint

    public DefaultOutboundEndpoint(Connector connector,
                                   EndpointURI endpointUri,
                                   String name,
                                   Map properties,
                                   TransactionConfig transactionConfig,
                                   boolean deleteUnacceptedMessage,
                                   MessageExchangePattern messageExchangePattern,
                                   int responseTimeout,
                                   String initialState,
                                   String endpointEncoding,
                                   String endpointBuilderName,
                                   MuleContext muleContext,
                                   RetryPolicyTemplate retryPolicyTemplate,
                                   String responsePropertiesList,
                                   EndpointMessageProcessorChainFactory messageProcessorsFactory,
                                   List<MessageProcessor> messageProcessors,
                                   List<MessageProcessor> responseMessageProcessors,
                                   boolean disableTransportTransformer,
                                   String endpointMimeType)

Method Detail

### getResponseProperties

    public List<String> getResponseProperties()

  Specified by:
    `getResponseProperties` in interface `OutboundEndpoint`
  Returns:
    a list of properties which should be carried over from the request message to the response message in the case of a synchronous call.

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

### createMessageProcessorChain

    protected MessageProcessor createMessageProcessorChain()
                                                    throws MuleException

  Specified by:
    `createMessageProcessorChain` in class `AbstractEndpoint`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.